aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-31 16:13:28 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-31 16:13:28 +0000
commit548e198e5bf23faf18ece5ef9a5486e11989d0aa (patch)
tree9ca972c045a2b8a3e468c0cb102d82c2d5963d14
parent24f689fe7fc70ee2c50601b1373f6b2ff6ff1365 (diff)
downloadaports-548e198e5bf23faf18ece5ef9a5486e11989d0aa.tar.gz
aports-548e198e5bf23faf18ece5ef9a5486e11989d0aa.tar.bz2
aports-548e198e5bf23faf18ece5ef9a5486e11989d0aa.tar.xz
testing/perl-test-fatal: new aport
Test::Fatal perl module http://search.cpan.org/dist/Test-Fatal/
-rw-r--r--testing/perl-test-fatal/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-test-fatal/APKBUILD b/testing/perl-test-fatal/APKBUILD
new file mode 100644
index 0000000000..aecb8a40ab
--- /dev/null
+++ b/testing/perl-test-fatal/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-test-fatal
+pkgver=0.005
+pkgrel=0
+pkgdesc="Test::Fatal perl module"
+url="http://search.cpan.org/dist/Test-Fatal/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl perl-try-tiny"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Test-Fatal-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Test-Fatal-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="8fd91391e82ea4290eb0cf8409393485 Test-Fatal-0.005.tar.gz"